package com.sundot.airport.attendance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * 打卡类型
 *
 * @Author: wangchong
 * @Date: 2025/7/11 09:37
 **/
@AllArgsConstructor
@Getter
public enum CheckInTypeEnum {

    CLOCK_IN(136, "上班", "CLOCK_IN"),
    CLOCK_OUT(137, "下班", "CLOCK_OUT"),
    POST_IN(138, "上岗", "POST_IN"),
    POST_OUT(139, "下岗", "POST_OUT"),
    ;

    /**
     * code
     */
    private final Integer code;

    /**
     * name
     */
    private final String name;

    /**
     * value
     */
    private final String value;
}
